<div class="container">
    <ng-container *ngIf="documentStatus; then DocumentsList; else EmptyBlock"></ng-container>
    <ng-template #DocumentsList>
        <mat-card>
            <mat-card-header>
                <mat-card-title>Всьго документів {{docCount}}</mat-card-title>
                                <mat-card-subtitle>Виберить документ</mat-card-subtitle>

            </mat-card-header>
            <mat-card-content>
                <mat-list *ngIf="documentList">
                    <mat-list-item *ngFor="let doc of documentList;">
                        <a routerLink="/doc/{{doc.id}}">
                            {{doc.title}}
                        </a>
<!--                        <button mat-flat-button color="warn">-->
<!--                        </button>-->
                    </mat-list-item>
                </mat-list>
            </mat-card-content>
        </mat-card>
    </ng-template>
    <ng-template #EmptyBlock>
        <mat-card>
<!--            <mat-card-header>-->
<!--                <mat-card-title>Title</mat-card-title>-->
<!--                <mat-card-subtitle>Subtitle</mat-card-subtitle>-->
<!--            </mat-card-header>-->
            <mat-card-content>
                <div class="error">
                    {{emptyMessage}}
                </div>            </mat-card-content>

        </mat-card>

    </ng-template>

</div>
